#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libavresample2 preinstallation
#
# Creation   :  2017-08-06 holbru
# Last update:  $Id: preinstall.sh 47762 2017-12-09 19:42:18Z hbfl $
#
# Copyright (c) 2017-2022 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libavresample2

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed_version=$(eisman check ffmpeg 2.6.1)

case ${installed_version} in
new)
    if [ -f /etc/filelist.d/ffmpeg-files.txt ]
    then
        sed -i '/libavresample.so.2/d' /etc/filelist.d/ffmpeg-files.txt
    fi
    rm -f /usr/lib/libavresample.so.2*
    ;;
*)
    : ;;
esac

installed=$(eisman check ${package_name})

if [ "${installed}" = "installed" ]
then
    /var/install/bin/del-package --update -p ${package_name}
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
